Extending Qt Creator Manual | ModeManager

Extending Qt Creator Manual 4.5.2

# ModeManager Class

(Core::ModeManager)

Header: | #include <ModeManager>

- List of all members, including inherited members

## Public Slots

void | setModeSelectorVisible(bool visible)

## Signals

void | currentModeAboutToChange(Core::Id mode)
void | currentModeChanged(Core::Id mode, Core::Id oldMode = Core::Id())

## Static Public Members

void | activateMode(Id id)
void | addAction(QAction *action, int priority)
void | addProjectSelector(QAction *action)
Id | currentMode()
ModeManager * | instance()
bool | isModeSelectorVisible()
void | setFocusToCurrentMode()

## Detailed Description

The mode manager handles everything related to the instances of IMode that were added to the plugin manager's object pool as well as their buttons and the tool bar with the round buttons in the lower left corner of Qt Creator.

## Member Function Documentation

### `[static]` void ModeManager::activateMode(Id id)

### `[static]` void ModeManager::addAction(QAction *action, int priority)

### `[static]` void ModeManager::addProjectSelector(QAction *action)

### `[static]` Id ModeManager::currentMode()

### `[signal]` void ModeManager::currentModeAboutToChange(Core::Id mode)

### `[signal]` void ModeManager::currentModeChanged(Core::Id mode, Core::Id oldMode = Core::Id())

### `[static]` ModeManager *ModeManager::instance()

### `[static]` bool ModeManager::isModeSelectorVisible()

### `[static]` void ModeManager::setFocusToCurrentMode()

### `[static slot]` void ModeManager::setModeSelectorVisible(bool visible)

See also isModeSelectorVisible().